Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.util.test
Class UncloseableOutputStream

    java.lang.Object
      java.io.OutputStream
          java.io.FilterOutputStream
              org.bouncycastle.util.test.UncloseableOutputStream

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable

    public class UncloseableOutputStream

extends java.io.FilterOutputStream

Field Summary

Fields inherited from class java.io.FilterOutputStream
`out`

Constructor Summary
`UncloseableOutputStream(java.io.OutputStream s)`

Method Summary
`void` `close()`
`void` `write(byte[] b, int off, int len)`

Methods inherited from class java.io.FilterOutputStream
`flush, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UncloseableOutputStream

    public UncloseableOutputStream(java.io.OutputStream s)

Method Detail

### close

    public void close()

  Specified by:
    `close` in interface `java.io.Closeable`
  Overrides:
    `close` in class `java.io.FilterOutputStream`

### write

    public void write(byte[] b,
                      int off,
                      int len)
               throws java.io.IOException

  Overrides:
    `write` in class `java.io.FilterOutputStream`
  Throws:
    `java.io.IOException`

Bouncy Castle Cryptography Library 1.45